org.eclipse.viatra.query.patternlanguage.emf.vql

## Interface CheckConstraint

- All Superinterfaces:
    Constraint, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    CheckConstraintImpl

      public interface CheckConstraint
      extends Constraint

  A representation of the model object 'Check Constraint'.

  The following features are supported:

  - `Expression`
  See Also:
    `PatternLanguagePackage.getCheckConstraint()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.xbase.XExpression` | `getExpression()` Returns the value of the 'Expression' containment reference.
    `void` | `setExpression(org.eclipse.xtext.xbase.XExpression value)` Sets the value of the '`Expression`' containment reference.
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getExpression

          org.eclipse.xtext.xbase.XExpression getExpression()

      Returns the value of the 'Expression' containment reference.

      If the meaning of the 'Expression' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Expression' containment reference.
      See Also:
        `setExpression(XExpression)`, `PatternLanguagePackage.getCheckConstraint_Expression()`
      Generated:
      Model:
        containment="true"

    - #### setExpression

          void setExpression(org.eclipse.xtext.xbase.XExpression value)

      Sets the value of the '`Expression`' containment reference.
      Parameters:
        `value` - the new value of the 'Expression' containment reference.
      See Also:
        `getExpression()`
      Generated:

    - #### toString

          java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      Generated:
      Model:
        annotation="http://www.eclipse.org/emf/2002/GenModel body='return org.eclipse.viatra.query.patternlanguage.emf.util.ASTStringProvider.INSTANCE.doSwitch(this);'"